Subject: Re: bug#73519: Generated installation image fails to launch

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Fri, 27 Sep 2024 20:05:16 +0000

Hi Aidan!

On 27 September 2024 16:32:21 UTC, Aidan Welch <[email-masked]> wrote:
> Hi, I built my own install image("guix (GNU Guix)
>8172b25ea22762b361b14600292c154a10579b47" installed on Ubuntu), when I try
>to boot it "the installer has encountered an unexpected error", the
>backtrace is basically as follows (cutting out a bit so its typeable).
>
>In srfi/srfi-1.scm: 586:29 19 (the map of locales)
>586:29 18 (the map of locales with the first removed)
>... ... ...
>586:29 11 (the map of locales now starting with "tok") In
>gnu/installer/newt/page.scm
>415:26 10 (_ "tok") In gnu/installer/newt/locale.scm:
>160:28 9(_ "tok") In unknown file: 8 (gettext #f "iso_639-3" #<undefined>)
>
>and it continues on- but I think this is most of the relevant part

Indeed.  Going only by your description, I assume this is <https://issues.guix.gnu.org/73081>?

Kind regards,

T G-R

Sent on the go.  Excuse or enjoy my brevity.